# OpenPanel Generated on 16 Jul 2024 from [the OpenPanel catalog page](https://marketplace.digitalocean.com/apps/openpanel) OpenPanel is a powerful and flexible web hosting control panel for Linux systems. ![screenshot](https://raw.githubusercontent.com/stefanpejcic/OpenPanel/main/documentation/static/img/openpanel_admin.gif) OpenPanel offers a distinct advantage over other hosting panels by providing each user with an isolated environment and tools to fully manage it. This ensures that your users enjoy full control over their environment, similar to a VPS experience. They can effortlessly install new PHP versions, modify server configurations, view domain logs, restart services, and perform numerous other advanced tasks. ## Software Included | Package | Version | License | |---|---|---| | Nginx | 1.19 | [GNU General Public License](http://nginx.org/LICENSE) | | Docker | 24.0.7 | | | MySQL | 8.0.37 | | | UFW | 0.36.1 | | ## Creating an App using the Control Panel Click the **Deploy to DigitalOcean** button to create a Droplet based on this 1-Click App. If you aren’t logged in, this link will prompt you to log in with your DigitalOcean account. [![Deploy to DO](https://www.deploytodo.com/do-btn-blue.svg)](https://cloud.digitalocean.com/droplets/new?image=openpanel) ## Creating an App using the API In addition to creating a Droplet from the OpenPanel 1-Click App using the control panel, you can also use the [DigitalOcean API](https://docs.digitalocean.com/reference/api). As an example, to create a 4GB OpenPanel Droplet in the SFO2 region, you can use the following `curl` command. You need to either save your [API access token](https://docs.digitalocean.com/reference/api/create-personal-access-token/index.html.md) to an environment variable or substitute it in the command below. ```shell curl -X POST -H 'Content-Type: application/json' \ -H 'Authorization: Bearer '$TOKEN'' -d \ '{"name":"choose_a_name","region":"sfo2","size":"s-2vcpu-4gb","image":"openpanel"}' \ "https://api.digitalocean.com/v2/droplets" ``` ## Getting Started After Deploying OpenPanel First access via ssh: `ssh root@your_droplet_public_ipv4` New admin account will automatically be created and you will see on terminal the login link, username and password. Open the link in your browser: http://your\_droplet\_public\_ipv4:2087 and fill in the username / password.